Jump to content


 


Register a free account to unlock additional features at BleepingComputer.com
Welcome to BleepingComputer, a free community where people like yourself come together to discuss and learn how to use their computers. Using the site is easy and fun. As a guest, you can browse and view the various discussions in the forums, but can not create a new topic or reply to an existing one unless you are logged in. Other benefits of registering an account are subscribing to topics and forums, creating a blog, and having no ads shown anywhere on the site.


Click here to Register a free account now! or read our Welcome Guide to learn how to use this site.

Photo

dvd::rip installation issues


  • Please log in to reply
1 reply to this topic

#1 python72

python72

  • Members
  • 20 posts
  • OFFLINE
  •  
  • Local time:02:35 PM

Posted 16 January 2015 - 10:03 AM

I am trying to install dvd::rip but it does not go trough as expected, here is what I get in the terminal:

 

oldhp@oldhp:~/Downloads/dvdrip-0.98.11$ perl Makefile.PL
 
Note:
-----
The following modules are required for dvd::rip but not found on your
system. They're shipped with dvd::rip for your convenience and will be
installed automatically when you run 'make install':
 
  AnyEvent Event::ExecFlow Event::RPC Gtk2::Ex::FormFactory
 
You can ignore the 'prerequisite not found' warnings beyond for them.
 
If you don't like this and want to install these modules manually
just set SKIP_UNPACK_REQUIRED_MODULES before executing Makefile.PL,
e.g. this way:
 
  SKIP_UNPACK_REQUIRED_MODULES=1 perl Makefile.PL
 
Warning: prerequisite AnyEvent 1.02 not found.
Warning: prerequisite Event 1.06 not found.
Warning: prerequisite Event::ExecFlow 0.64 not found.
Warning: prerequisite Event::RPC 0.89 not found.
Warning: prerequisite Gtk2::Ex::FormFactory 0.65 not found.
Warning: prerequisite Locale::TextDomain 1.16 not found.
Writing Makefile for Video::DVDRip
Writing MYMETA.yml and MYMETA.json
oldhp@oldhp:~/Downloads/dvdrip-0.98.11$ SKIP_UNPACK_REQUIRED_MODULES=1
oldhp@oldhp:~/Downloads/dvdrip-0.98.11$ perl Makefile.PL
 
Note:
-----
The following modules are required for dvd::rip but not found on your
system. They're shipped with dvd::rip for your convenience and will be
installed automatically when you run 'make install':
 
  AnyEvent Event::ExecFlow Event::RPC Gtk2::Ex::FormFactory
 
You can ignore the 'prerequisite not found' warnings beyond for them.
 
If you don't like this and want to install these modules manually
just set SKIP_UNPACK_REQUIRED_MODULES before executing Makefile.PL,
e.g. this way:
 
  SKIP_UNPACK_REQUIRED_MODULES=1 perl Makefile.PL
 
Warning: prerequisite AnyEvent 1.02 not found.
Warning: prerequisite Event 1.06 not found.
Warning: prerequisite Event::ExecFlow 0.64 not found.
Warning: prerequisite Event::RPC 0.89 not found.
Warning: prerequisite Gtk2::Ex::FormFactory 0.65 not found.
Warning: prerequisite Locale::TextDomain 1.16 not found.
Writing Makefile for Video::DVDRip
Writing MYMETA.yml and MYMETA.json
oldhp@oldhp:~/Downloads/dvdrip-0.98.11$ ^C
oldhp@oldhp:~/Downloads/dvdrip-0.98.11$ 
 
Does anyone know what I can do to get these modules intalled?
 
Also how can I check what software/packages/modules are already installed on my computer?
 
I am using:
 
-Version-
Kernel : Linux 3.13.0-24-generic (i686)
Compiled : #47-Ubuntu SMP Fri May 2 23:31:42 UTC 2014
C Library : Unknown
Default C Compiler : Unknown
Distribution : Ubuntu 14.04 LTS
-Current Session-
Computer Name : oldhp
User Name : oldhp ()
Home Directory : /home/oldhp
Desktop Environment : LXDE (Lubuntu)
-Misc-
Uptime : 2 days, 11 hours and 14 minutes
Load Average : 0.32, 0.38, 0.39
 

 



BC AdBot (Login to Remove)

 


#2 NickAu

NickAu

    Bleepin' Fish Doctor


  • Moderator
  • 13,540 posts
  • OFFLINE
  •  
  • Gender:Male
  • Location:127.0.0.1 Australia
  • Local time:06:35 AM

Posted 16 January 2015 - 07:43 PM

Read this please.

http://www.exit1.org/dvdrip/doc/install.cipp#perl_modules






0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users